:root {
    --bg: #191c1f;
    --txt: #f7f5f2;

    --gray01: rgba(247, 245, 242, 0.01);
    --gray03: rgba(247, 245, 242, 0.03);
    --gray05: rgba(247, 245, 242, 0.05);
    --gray075: rgba(247, 245, 242, 0.075);

    --gray10: rgba(247, 245, 242, 0.1);
    --gray15: rgba(247, 245, 242, 0.15);

    --gray20: rgba(247, 245, 242, 0.2);
    --gray25: rgba(247, 245, 242, 0.25);

    --gray30: rgba(247, 245, 242, 0.3);

    --gray: rgba(247, 245, 242, 0.5);
    --gray60: rgba(247, 245, 242, 0.6);
    --gray70: rgba(247, 245, 242, 0.7);

    --sdw: rgba(0, 0, 0, 0.8);
    --red: #ff6b6b;
    --orange: #ec7e00;
    --dim: rgba(0, 0, 0, 0.8);
    --tp: rgba(0, 0, 0, 0);
}

@supports (font-variation-settings: normal) {
    :root {
        font-family: InterVariable, "Apple SD Gothic Neo", sans-serif;
    }
}

* {
    outline: none;
    box-sizing: border-box;
    word-break: keep-all;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
    font-size: 1rem;
    font-weight: 400;
    letter-spacing: -.025rem;
    margin: 0;
    padding: 0;
    font-family: inherit;
    font-variant-numeric: tabular-nums slashed-zero;
    font-feature-settings: "cv01", "cv02", "cv03", "cv04", "cv09", "calt", "tnum", "case", "zero", "ss02";
    scrollbar-width: none;
    -ms-overflow-style: none;
    -webkit-tap-highlight-color: transparent;
}

*::-webkit-scrollbar {
    display: none;
}

*:focus {
    outline: none;
}

html,
body {
    width: 100%;
    margin: 0;
    scroll-behavior: smooth;
    background-color: var(--bg);
    scrollbar-width: none;
    letter-spacing: -.025rem;
    color: var(--txt);
}

body {
    max-width: 800px;
    margin: 0 auto;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2rem;
    background-color: var(--bg);
    color: var(--txt);
    width: 100%;
}

.header-logo {
    height: 2rem;
    width: 2rem;
    background-color: var(--orange) !important;
}

.header-date {
    color: var(--gray60);
    text-align: right;
    font-size: .8rem;
    line-height: 1rem;
}

.serif {
    font-family: 'Instrument Serif', sans-serif;
}

a {
    all: unset;
    cursor: pointer;
    color: inherit;
    text-decoration: underline;
    font-size: inherit;
}

main {
    width: 100%;
    scrollbar-width: none;
}

.hidden {
    display: none !important;
}

.hide {
    opacity: 0 !important;
    visibility: hidden !important;
    transition: all .2s ease;
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

i {
    font-style: italic;
    font-family: inherit !important;
    font-size: inherit;
    font-weight: inherit;
}

input {
    all: unset;
    box-sizing: border-box;
    font-family: inherit;
}

button {
    background: none;
    border: none;
    padding: 0;
    margin: 0;
    font-family: inherit;
    color: inherit;
    cursor: pointer;
}

.main-wrap {
    width: 100%;
    padding: 2rem;
}

.main-title {
    font-size: 3rem;
    line-height: 3rem;
}

.main-subtitle {
    color: var(--gray60);
    margin-top: .75rem;
}

.calendar {
    padding: 2rem 0;
}

.calendar-item {
    margin-top: 2rem;
}

.day-date {
    font-style: italic;
    color: var(--gray70);
}

.task {
    margin-top: 1rem;
    display: flex;
    gap: 1rem;
}

.task-time,
.task-subtitle {
    color: var(--gray60);
}

.input-wrap {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: .7rem;
    position: relative;
    overflow: visible;
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
    padding: 1rem;
}

.input-line {
    display: flex;
    align-items: center;
    position: relative;
    padding: .5rem .5rem .5rem 1rem;
    border: solid .075rem var(--gray075);
    border-radius: 1rem;
    width: 100%;
    max-width: 100%;
    gap: .5rem;
}

.track-num {
    flex-grow: 1;
    resize: none;
    white-space: nowrap;
    overflow: hidden;
    width: 100%;
    color: var(--gray70);
    font-size: 1rem;
    font-variant-numeric: tabular-nums slashed-zero;
    font-feature-settings: "cv01", "cv02", "cv03", "cv04", "cv09", "calt", "tnum", "case", "zero", "ss02";
    height: 1rem;
    line-height: 1rem;
    background: transparent;
    border: none;
    transition: all .2s ease;
}

.track-num::placeholder {
    color: var(--gray);
}

.track-num:focus::placeholder {
    color: var(--gray30);
}

.input-submit {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    padding-left: 1rem;
    gap: .5rem;
}

.button-wrap {
    display: flex;
    align-items: center;
    position: relative;
    gap: .5rem;
}

.paste-button {
    position: relative;
    display: flex;
    justify-content: center;
}

.paste-btn-form {
    border-radius: .5rem;
    padding: .55rem;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 0.2s ease;
}

.paste-icon {
    width: 1rem;
    height: 1rem;
}

.submit {
    padding: .55rem;
    border-radius: .5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    background: var(--gray075);
    transition: all .2s ease;
}

.submit:hover {
    background: var(--gray05);
}

.submit-icon {
    width: 1rem;
    height: 1rem;
}

footer {
    position: fixed;
    width: 100%;
    left: 0;
    bottom: 0;
    padding-bottom: 2rem;
}